Package org.eclipse.swt.browser

## Class AuthenticationEvent

- java.lang.Object
- - java.util.EventObject
  - - org.eclipse.swt.events.TypedEvent
    - - org.eclipse.swt.browser.AuthenticationEvent

All Implemented Interfaces:
  `Serializable`

    public class AuthenticationEvent
    extends TypedEvent

An `AuthenticationEvent` is sent by a `Browser` to `AuthenticationListener`'s when the `Browser` navigates to a page that requires authentication. This event allows a client to either supply authentication credentials, cancel the authentication, or do nothing (which causes an authentication prompter to be shown to the user).

Since:
  3.5
See Also:
  Serialized Form

### Field Summary

Fields
`boolean` `doit` A flag indicating whether the authentication should proceed.
`String` `location` The location that triggered the authentication challenge
`String` `password` The password to authenticate with
`String` `user` The user name to authenticate with

### Fields inherited from class org.eclipse.swt.events.TypedEvent

`data, display, time, widget`

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
`AuthenticationEvent​(Widget widget)` Constructs a new instance of this class.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()` Returns a string containing a concise, human-readable description of the receiver.

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### location

    public String location

The location that triggered the authentication challenge

#### user

    public String user

The user name to authenticate with

#### password

    public String password

The password to authenticate with

#### doit

    public boolean doit

A flag indicating whether the authentication should proceed. Setting this field to `false` will cancel the operation.

### Constructor Detail

#### AuthenticationEvent

    public AuthenticationEvent​(Widget widget)

Constructs a new instance of this class.

Parameters:
  `widget` - the widget that fired the event
Since:
  3.5

### Method Detail

#### toString

    public String toString()

Returns a string containing a concise, human-readable description of the receiver.

Overrides:
  `toString` in class `TypedEvent`
Returns:
  a string representation of the event